<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.workshop.dao.WorkshopAccountDao">
    <resultMap id="BaseResultMap" type="com.sy.coinage.workshop.model.WorkshopAccount">
        <id column="id" jdbcType="INTEGER" property="id"/>
        <result column="dept" jdbcType="VARCHAR" property="dept"/>
        <result column="dept_id" jdbcType="INTEGER" property="deptId"/>
      <result column="securities_id" jdbcType="INTEGER" property="securitiesId"/>
      <result column="securities" jdbcType="VARCHAR" property="securities"/>
      <result column="income_qty" jdbcType="INTEGER" property="incomeQty"/>
      <result column="pay_qty" jdbcType="VARCHAR" property="payQty"/>
      <result column="inner_income_qty" jdbcType="INTEGER" property="innerIncomeQty"/>
      <result column="inner_pay_qty" jdbcType="INTEGER" property="innerPayQty"/>
      <result column="inventory" jdbcType="INTEGER" property="inventory"/>
      <result column="operator_id" jdbcType="INTEGER" property="operatorId"/>
      <result column="operator" jdbcType="VARCHAR" property="operator"/>
      <result column="check_id" jdbcType="INTEGER" property="checkId"/>
      <result column="checker" jdbcType="VARCHAR" property="checker"/>
      <result column="loc_from" jdbcType="INTEGER" property="locFrom"/>
      <result column="loc_to" jdbcType="INTEGER" property="locTo"/>
      <result column="create_time" jdbcType="TIMESTAMP" property="createTime"/>
      <result column="red_flash_flag" jdbcType="INTEGER" property="redFlashFlag"/>
      <result column="stat_type" jdbcType="INTEGER" property="statType"/>
      <result column="order_no" jdbcType="VARCHAR" property="orderNo"/>
      <result column="remark" jdbcType="VARCHAR" property="remark"/>
      <result column="digest" jdbcType="VARCHAR" property="digest"/>
    </resultMap>
    <sql id="Base_Column_List">
      id
      , dept, dept_id, securities_id, securities, income_qty, pay_qty, inner_income_qty, inner_pay_qty, inventory, operator_id, operator, check_id, checker, loc_from, loc_to, create_time, red_flash_flag, stat_type, order_no, remark, digest
    </sql>

    <!--  <select id="queryPageList" resultType="com.sy.coinage.workshop.vo.WorkshopAccountVO">-->
    <!--    SELECT-->
    <!--    rfid_workshop_account.*-->
    <!--    FROM-->
    <!--    rfid_workshop_account-->
    <!--    LEFT JOIN-->
    <!--    rfid_workshop_account-->
    <!--    ON-->
    <!--    rfid_workshop_account.id = rfid_workshop_account.id-->
    <!--    <if test="ew.emptyOfWhere == false">-->
    <!--      ${ew.customSqlSegment}-->
    <!--    </if>-->
    <!--  </select>-->

</mapper>

